#ifndef RoundedPath_h
#define RoundedPath_h

// $Id: RoundedPath.h,v 1.2 2009/09/09 02:29:37 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file    RoundedPath.h
  \brief   rounded QPainterPath based on polygon
  \author  Hugo Pereira
  \version $Revision: 1.2 $
  \date    $Date: 2009/09/09 02:29:37 $
*/

#include <QPainterPath>
#include <QPolygonF>

//! rounded QPainterPath based on polygon
class RoundedPath: public QPainterPath
{

  public:

  //! constructor
  RoundedPath( QPolygonF, const int& border = 5 );

};

#endif
